Get service logs.
API server
https://app.coolify.io/api/v1Get logs for a specific service sub-resource by service UUID. The sub_service_name query parameter must match the name field of one of the service applications or databases returned by GET /services/{uuid}. Requires the read:sensitive or root token ability.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the service.
uuidQuery Parameters
Sub-service name from GET /services/{uuid} under applications[].name or databases[].name. Do not use human_name or the Docker container name with the service UUID suffix.
Number of lines to show from the end of the logs. Use all to return all logs. -1 remains available as a compatibility alias.
Show timestamps in the logs.
falseResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/services/497f6eca-6276-4993-bfeb-53cbbbba6f08/logs?sub_service_name=appwrite-console"{ "logs": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}